# Generated by Django 3.1.5 on 2022-05-11 14:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0015_role_can_add_places'),
    ]

    operations = [
        migrations.CreateModel(
            name='FavoriteRoute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('route', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.route', verbose_name='Маршрут')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Избранный маршрут',
                'verbose_name_plural': 'Избранные маршруты',
                'ordering': ['route__name', 'user__id'],
            },
        ),
        migrations.CreateModel(
            name='FavoritePlace',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('place', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.place', verbose_name='Место')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Избранное место',
                'verbose_name_plural': 'Избранные места',
                'ordering': ['place__name', 'user__id'],
            },
        ),
    ]
